%define name pitivi
%define pitividir %_prefix/lib
%define gnonlin 0.10.6.1
Summary: Pitivi non linear video editor under linux 
Name: %name
Version: 0.10.3
Release: %mkrel 2
Source0: http://download.gnome.org/sources/pitivi/%{name}-%{version}.tar.bz2
License: GPL
Group: Video
URL: http://www.pitivi.org
BuildRequires:  python-devel
BuildRequires:  ImageMagick
BuildRequires:  desktop-file-utils
BuildRequires:  perl-XML-Parser
Requires:  pygtk2.0-libglade
Requires:  gnome-python
Requires:  gnome-python-gnomevfs
Requires:  gstreamer0.10-python
Requires:  gstreamer0.10-plugins-base
Requires:  gnonlin >= %gnonlin

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch

%description
Pitivi is a Non Linear Video Editor using the popular GStreamer media
framework.


%prep
%setup -q

%build
./configure --prefix=%_prefix --libdir=%pitividir
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std
%find_lang %name
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name} 
?package(%{name}): command="%name" icon="%name.png" longtitle="Non-linear video editor" title="Pitivi" needs=x11 section="Multimedia/Video" xdg="true"
EOF
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --add-category="Video;AudioVideoEditing" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

mkdir -p %buildroot/{%_liconsdir,%_miconsdir,%_iconsdir} 
install pitivi/pixmaps/pitivi-video.png %buildroot/%_liconsdir/%name.png
convert -scale 32 pitivi/pixmaps/pitivi-video.png %buildroot/%_iconsdir/%name.png
convert -scale 16 pitivi/pixmaps/pitivi-video.png %buildroot/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%update_menus
%postun
%clean_menus

%files -f %name.lang
%defattr(-,root,root,-)
%doc AUTHORS  ChangeLog NEWS RELEASE
%{_datadir}/pitivi/
%{_bindir}/pitivi
%_menudir/%name
%_datadir/applications/%name.desktop
%_datadir/pixmaps/%name.png
%pitividir/pitivi/
%_liconsdir/*png
%_iconsdir/*png
%_miconsdir/*png




%changelog
* Thu Aug 02 2007 Götz Waschk <waschk@mandriva.org> 0.10.3-2mdv2008.0
+ Revision: 58154
- fix deps

* Thu May 31 2007 Götz Waschk <waschk@mandriva.org> 0.10.3-1mdv2008.0
+ Revision: 33410
- new version

* Mon May 28 2007 Götz Waschk <waschk@mandriva.org> 0.10.2.2-1mdv2008.0
+ Revision: 32132
- new version


* Wed Jan 31 2007 Götz Waschk <waschk@mandriva.org> 0.10.2-1mdv2007.0
+ Revision: 115719
- new version

* Sun Jan 28 2007 Götz Waschk <waschk@mandriva.org> 0.10.1.3-1mdv2007.1
+ Revision: 114481
- new version
- bump deps

* Sat Jan 27 2007 Götz Waschk <waschk@mandriva.org> 0.10.1-1mdv2007.1
+ Revision: 114343
- Import pitivi

* Sat Jan 27 2007 Gtz Waschk <waschk@mandriva.org> 0.10.1-1mdv2007.1
- new source URL
- new version

* Thu Jul 20 2006 Gtz Waschk <waschk@mandriva.org> 0.10.1-1mdv2007.0
- New release 0.10.1

* Fri Jul 07 2006 Gtz Waschk <waschk@mandriva.org> 0.10.0-3mdv2007.0
- xdg menu
- fix buildrequires

* Mon May 22 2006 Gtz Waschk <waschk@mandriva.org> 0.10.0-2mdk
- fix deps

* Sat Apr 29 2006 Gtz Waschk <waschk@mandriva.org> 0.10.0-1mdk
- update file list
- New release 0.10.0

* Thu Feb 02 2006 Gtz Waschk <waschk@mandriva.org> 0.9.9.2-1mdk
- bump deps
- New release 0.9.9.2

* Thu Dec 29 2005 Gtz Waschk <waschk@mandriva.org> 0.9.9.1-1mdk
- gst 0.10
- New release 0.9.9.1
- use mkrel

* Tue Jul 05 2005 Gtz Waschk <waschk@mandriva.org> 0.1.10-3mdk
- fix deps

* Thu Jun 30 2005 Gtz Waschk <waschk@mandriva.org> 0.1.10-2mdk
- fix buildrequires

* Thu Jun 30 2005 Gtz Waschk <waschk@mandriva.org> 0.1.10-1mdk
- this is now noarch
- drop the library package
- fix deps
- New release 0.1.10

* Mon Dec 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.1-1mdk
- initial package

* Thu Dec 02 2004 root <root@pas-r06p01.pas.epita.fr> - 
- Initial build.

